Bug 184415 - Deadlock when initializing projects
Deadlock when initializing projects
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Project
6.x
PC Mac OS X
: P2 (vote)
: 6.x
Assigned To: Tomas Mysik
issues@php
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 07:46 UTC by Petr Jiricka
Modified: 2010-04-23 04:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Thread dump (27.45 KB, text/plain)
2010-04-19 07:46 UTC, Petr Jiricka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2010-04-19 07:46:03 UTC
Created attachment 97593 [details]
Thread dump

After the IDE startup, I expanded the project node of a Maven JavaSE project. The "Initializing project" subnode was displayed, and the IDE froze.
Comment 1 Jesse Glick 2010-04-19 16:45:44 UTC
	at org.netbeans.modules.php.project.classpath.ClassPathProviderImpl.propertyChange(ClassPathProviderImpl.java:315)
	- waiting to lock <0x000000010ac57118> (a java.util.HashMap)
	at org.openide.util.WeakListenerImpl$PropertyChange.propertyChange(WeakListenerImpl.java:193)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
	at org.netbeans.spi.project.support.ant.SequentialPropertyEvaluator.stateChanged(SequentialPropertyEvaluator.java:205)

	at org.openide.util.Mutex.readAccess(Mutex.java:282)
	at org.netbeans.spi.project.support.ant.SequentialPropertyEvaluator.getProperty(SequentialPropertyEvaluator.java:114)
	at org.netbeans.modules.php.project.classpath.ClassPathProviderImpl.getDirs(ClassPathProviderImpl.java:120)
	- locked <0x000000010ac57118> (a java.util.HashMap)
	at org.netbeans.modules.php.project.classpath.ClassPathProviderImpl.getPlatformPath(ClassPathProviderImpl.java:151)
Comment 2 Tomas Mysik 2010-04-21 15:02:53 UTC
BTW JavaEEServerModuleFactory thread is quite suspicious - it removes and adds some libraries during startup. I will check whether this happens on every startup.
Comment 3 Tomas Mysik 2010-04-22 08:37:33 UTC
Should be fixed.
http://hg.netbeans.org/web-main/rev/9939ba3d4a45
Comment 4 Quality Engineering 2010-04-23 04:32:13 UTC
Integrated into 'main-golden', will be available in build *201004230200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9939ba3d4a45
User: Tomas Mysik <tmysik@netbeans.org>
Log: #184415: Deadlock when initializing projects


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo